#ifndef RNDGEN_H
#define RNDGEN_H

#include "md5.h"

class CRndGen {
    MD5_DIGEST          m_md5Accumulator;
public:
    CRndGen(DWORD seed = 0);
    int GetRandomFromInterval(DWORD highBound, DWORD *pRandom);
    int GetRandomFromInterval(BYTE highBound, BYTE *pRandom);
    int GetRandomFromInterval(int highBound, int *pRandom);
    int GetRandomFromInterval(float highBound, float *pRandom);
    int InitRandomGenerator(DWORD seed = 0);
    
protected:
    int UpdateAccumulator();    
};

#endif