#pragma once
#include "afxcmn.h"
#include "resource.h"


// CRemoteControlTab dialog

class CRemoteControlTab : public CDialog
{
	DECLARE_DYNAMIC(CRemoteControlTab)

public:
	CRemoteControlTab(CWnd* pParent = NULL);   // standard constructor
	virtual ~CRemoteControlTab();

	BOOL OnInitDialog();
	virtual void OnCancel(void) {}
	virtual void OnOK(void) {}

// Dialog Data
	enum { IDD = IDD_REMOTE_CONTROL_TAB };

    int GetDlgData(BASIC_INIT_DATA* pBasicSettings);
    int SetDlgData(BASIC_INIT_DATA* pBasicSettings);
	int RefreshHosts(CString hostsIP, BOOL bAskProxy);
	int GetRemoteHostInfo(CString IP, int port, lhi* pHostsList);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
public:
	CListCtrl m_remoteCtrl;
	lcs		m_remoteList;
public:
	CString m_remoteHosts;
public:
	afx_msg void OnBnClickedRefreshHosts();
};
